Subject: Re: Can a Disk ][ be used on a GS smartport?
From: [email-masked] (Frederic Devernay)
Date: 16 Feb 1994 13:11:22 GMT
Newsgroups: comp.sys.apple2

here's the answer:

                APPLE //C & GS DISK ][ ADAPTER CABLES

Parts needed:

1 IDP 20 plug (two for GS Dual Drive adapter)
1 DB 19 pin male connector
3' 20 conductor ribbon cable

to build the adapter cables get an IDP-20 plug for //c adapter (Two for GS) 
one DB-19 male socket and three feet of 20 conductor ribbon cable for each 
drive and connect the connectors as shown.

IDP-20 pins                DB-19 pins

 1  GND------------------->  1 GND
 2  PHASE 0---------------> 11 PHASE A
 3  GND------------------->  2 GND
 4  PHASE 1---------------> 12 PHASE B
 5  GND------------------->  3 GND
 6  PHASE 2---------------> 13 PHASE C
 7  GND------------------->  4 GND
 8  PHASE 3---------------> 14 PHASE D
 9  -12 V----------------->  5  -12V
10  WRITE REQ-------------> 15 WRITE REQ
11  +5V------------------->  6 +5V
12  +5V------------------->  6 +5V
13  +12------------------->  7 +12V
14  DRIVE ENABLE----------> 17 Drive one or 9 for drive 2 on GS
15  +12V------------------>  7 +12V
16  READ DATA-------------> 18 READ DATA
17  +12V------------------>  8 +12V
18  WRITE DATA------------> 19 WRITE DATA
19  +12V------------------>  8 +12V
20  WRITE PROTECT---------> 10 WRITE PROTECT
                            16 NOT CONNECTED

One reliable source I've found for male DB19 connectors is JDR Micro Devices 
800-538-5000 or 408-866-6200.

I find it's easiest to connect the IDP connector to the ribbon cable first 
then soldering the various wires to the DB19. (Explains why I layed out the 
list the way I did doesn't it?). 

Once the cable is made connect the IDP connector to the twenty pin connector 
on your Disk ][ taking care that pin 1 of the plug connects to pin 1 of the 
drive connector. 

!!!!Failure to do this will destroy your motherboard!!!!

These cables can be tricky and tedious to make. Be very careful and check all 
connections thoroughly. It's easy to mix them up. It is usually best to have 
someone else check the cable for the proper connections, since they will 
usually catch mistakes you might miss. To be safe ohm out the connections or 
use a continuity tester.

!!!An incorrectly made cable can destroy your GS or //c motherboard!!!

I can accept no responsibility for incorrectly made cables.

Layout of IDP 20

   1  3  5  7  9  11  13  15  17         
  _____________====_____________
 | o  o  o  o  o  o  o  o  o  o |
 | o  o  o  o  o  o  o  o  o  o |
 |______________________________|
 
   2  4  6  8  10  12  14 16  20
 
Pin one is usually marked with an arrow.

Layout of DB19

  1  2  3  4  5  6  7  8  9  10
 _______________________________
\ .  .  .  .  .  .  .  .  .  .  / 
 \  .  .  .  .  .  .  .  .  .  /
  \ _________________________ /

    11 12 13 14 15 16 17 18 19 
-- 
       *          [email-masked]          *
       * Projet ROBOTVIS -- INRIA Sophia Antipolis -- FRANCE *